<script>
	import Multiselect from '@vueform/multiselect'
	import '@vueform/multiselect/themes/default.css'
	import { inject } from 'vue';

	export default {
	  components: {
	    Multiselect,
	  },
	  setup(props) {
	  const csrf = inject('csrf');

    
    

	  return {
	    csrf,
	  };
	},
	  data() {

	    return {
	   
        folio: this.variables?.constancia?.folio,
        RFC: this.variables?.constancia?.rfc,
        CURP: this.variables?.constancia?.constanciable?.curp,
        nombreCompleto: this.variables?.constancia?.constanciable?.nombreCompleto,
        fechaExpedicion: this.variables?.constancia?.created_at,
        sancionado: this.variables?.constancia?.sancionado !== 0,
        tieneSancion: this.variables?.constancia?.constanciable !==null,
        datosTabla: [],


        

	
        


	    }
	  },
	  props: {
	    variables: Object,
      
	},
	watch: {
	

	},

	mounted(){
	  const csrf = inject('csrf');
    this.datosTabla = this.variables?.constancia?.constanciable?.sanciones;
    

	},
	methods: {

    formatFechaExpedicion(fecha) {
    const dateObj = new Date(fecha);
    const day = dateObj.getDate();
    const month = dateObj.getMonth() + 1;
    const year = dateObj.getFullYear();
    const hours = dateObj.getHours();
    const minutes = dateObj.getMinutes();
    const seconds = dateObj.getSeconds();
    
    const formattedDate = `${day} / ${month} / ${year}  ${hours}:${minutes}:${seconds}`;
    
    return formattedDate;
  },

  detalles(id){

window.location.href = route('sanciones.show',id);


},


  


	},

    created() {
        
        
  
  },

  


	}

</script>


<template>
  <div class="main-content">
    <div class="page-content">
      <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
          <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
              <h4 class="mb-sm-0 font-size-18">Detalle de la constancia</h4>
            </div>
          </div>
        </div>
        <!-- end page title -->




            <!-- Contenido de la primera pestaña -->
            <div class="card">
                <div class="card-body">
                  <ul class="nav nav-pills nav-justified mb-3" id="pills-tab" role="tablist">
                    <li class="nav-item" v-if="sancionado" role="presentation">
                      <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">Datos generales</button>
                    </li>
                    <li class="nav-item" v-if="sancionado" role="presentation">
                      <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill" data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile" aria-selected="false">Sanciones</button>
                    </li>
                  </ul>
                  <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                      
                      <h4 class="card-title mb-4">Datos de la constancia</h4>
                      
                      <div class="row">

                        <div class="col-md-3">
                            <div class="mb-3">
                              <label for="validationCustom03" class="form-label">Folio</label>
                              <div class="input-group">
                                <input name="tipoPersona" type="text"  class="form-control" v-model="folio" disabled>
                                </div>
                              </div>
                          </div>
                          <div class="col-md-3">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">RFC</label>
                              <input name="rfc" type="text"  class="form-control" v-model="RFC" disabled>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>

                          <div class="col-md-3" v-if="tieneSancion">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">CURP</label>
                              <input name="rfc" type="text"  class="form-control" v-model="CURP" disabled>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>

                          <div class="col-md-3" v-if="tieneSancion">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">Nombre</label>
                              <input name="rfc" type="text"  class="form-control" v-model="nombreCompleto" disabled>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>


                          <div class="col-md-6">
                            <div class="mb-3">
                              <label for="validationCustom02"  class="form-label">fecha expedicion</label>
                              <input name="" type="text" disabled :value="formatFechaExpedicion(fechaExpedicion)" class="form-control" required>                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>

                          <div class="col-md-3" v-if="tieneSancion">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">Estado</label>
                              <input name="rfc" type="text"  class="form-control" value="Sancionado" disabled>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>

                          <div class="col-md-3" v-if="tieneSancion == false">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">Estado</label>
                              <input name="rfc" type="text"  class="form-control" value="Sin sanción" disabled>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>

                      </div>
                    </div>

                


                    <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
                      <h4 class="card-title mb-4">Sanciones</h4>
                      <table class="table-condensed table table-bordered dt-responsive nowrap w-100 no-footer dataTable">
                        <thead class="table-light">
                          <tr>
                          <th scope="col">Expediente</th>
                          <th scope="col">Institucion</th>
                          <th scope="col">Autoridad sancionadora</th>
                          <th scope="col">Tipos de Sanción</th>
                          <th v-if="can('sanciones.get')" scope="col">Acciones</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr v-for="dato in datosTabla" :key="dato.id" style="font-size: 15px;">
                            <td>{{ dato.expediente }}</td>
                            <td>{{ dato.institucionDependencia.nombre }}</td>
                            <td>{{ dato.autoridadSancionadora}}</td>
                            <td>
                            <ul>
                              <li v-for="tipo in dato.tiposSancion" :key="tipo.id">{{ tipo.valor }}</li>
                              </ul>
                            </td>
                            <td v-if="can('sanciones.get')" style="text-align: center; font-size: 20px;">
                              <div style="display: flex; align-items: center; margin-left: 7px;">
                                <a title="Detalles" href="#a" @click="detalles(dato.id)" style="margin-right: 8px;" class="detalles text-warning">
                                  <i class="mdi mdi-eye"></i>
                                </a>
                                <form method="get" :action="route('sanciones.pdf', dato.id)">
                                  <button title="Detalles" type="submit" href="#a" class="detalles text-danger">
                                    <i class="fas fa-file-pdf"></i>
                                  </button>
                                </form>
                              </div>
                              
                            </td>
                          </tr>
                          </tbody>
                        </table>
                              </div>
                  </div>                
                </div>
              </div>


      </div>
    </div>
  </div>
</template>


<style>
	#BuscarCP{
	  width: 80px;
	  height: 34px;
	}

	#nuevoSancion{
	  height: 40px;
	}

  button.detalles {
    /* Quítale los estilos de fondo y borde */
    background: none;
    border: none;
  
    /* Anula cualquier estilo de color de texto */
    color: inherit;
    /* Anula la decoración de subrayado del enlace si se aplica */
    text-decoration: none;
  
    /* Anula el estilo de cursor de puntero si se aplica */
    cursor: auto;
  
    /* Elimina el relleno y el margen si se aplican */
    padding: 0;
    margin: 0;
  
    /* Si deseas quitar el estilo de fuente predeterminado: */
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
  }

	.btn-primary-check{
	  background-color: #556ee6;
	  color: white;
	}


	.multiselect-wrapper {
	    height: 10px;
	    padding: .47rem 1.75rem .47rem .75rem;
	    font-size: .8125rem;
	}

	.tipoSancion {
	  height: 70px
	}

	.dashed-line {
	    border-top: 1px solid  #e6e3e3;
	    margin-top: 20px; /* Ajusta la separación si es necesario */
	}

  .multiselect-tag{
    background: #6045ca;
  }

  .dashed-line-row {
    border-top: 1px solid  #e6e3e3;
    margin-top: 20px;
    width:98%;
}

</style>